---
lang: en
title: 'API docs: context.injectionelement'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectionelement.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionElement](./context.injectionelement.md)

## InjectionElement interface

Wrapper for injections tracked by resolution sessions

**Signature:**

```typescript
export interface InjectionElement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[type](./context.injectionelement.type.md)


</td><td>


</td><td>

'injection'


</td><td>


</td></tr>
<tr><td>

[value](./context.injectionelement.value.md)


</td><td>


</td><td>

Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>


